gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.IOExtension

Contents

- Exported types
- Methods
  - Overloaded methods
  - getName
  - getPriority
  - getType

Description

`IOExtension` is an opaque data structure and can only be accessed using the following functions.

Synopsis

- newtype IOExtension = IOExtension (ManagedPtr IOExtension)
- iOExtensionGetName :: (HasCallStack, MonadIO m) => IOExtension -> m Text
- iOExtensionGetPriority :: (HasCallStack, MonadIO m) => IOExtension -> m Int32
- iOExtensionGetType :: (HasCallStack, MonadIO m) => IOExtension -> m GType

# Exported types

newtype IOExtension Source #

Memory-managed wrapper type.

Constructors

IOExtension (ManagedPtr IOExtension) |

#### Instances

Instances details

Eq IOExtension Source # |
Instance details Defined in GI.Gio.Structs.IOExtension Methods (==) :: IOExtension -> IOExtension -> Bool # (/=) :: IOExtension -> IOExtension -> Bool #
BoxedPtr IOExtension Source # |
Instance details Defined in GI.Gio.Structs.IOExtension Methods boxedPtrCopy :: IOExtension -> IO IOExtension Source # boxedPtrFree :: IOExtension -> IO () Source #
ManagedPtrNewtype IOExtension Source # |
Instance details Defined in GI.Gio.Structs.IOExtension Methods toManagedPtr :: IOExtension -> ManagedPtr IOExtension Source #

# Methods

## Overloaded methods

## getName

iOExtensionGetName Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> IOExtension | `extension`: a `IOExtension`
-> m Text | Returns: the name of `extension`.

Gets the name under which `extension` was registered.

Note that the same type may be registered as extension for multiple extension points, under different names.

## getPriority

iOExtensionGetPriority Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> IOExtension | `extension`: a `IOExtension`
-> m Int32 | Returns: the priority of `extension`

Gets the priority with which `extension` was registered.

## getType

iOExtensionGetType Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> IOExtension | `extension`: a `IOExtension`
-> m GType | Returns: the type of `extension`

Gets the type associated with `extension`.